---
title: Analysis endpoints - APIs
description: Speed Analysis Lab Analysis endpoints reference
lastUpdated: 14 April 2026
source_url:
  html: https://docs.contentsquare.com/en/api/speed-analysis-lab/analysis-endpoints/
  md: https://docs.contentsquare.com/en/api/speed-analysis-lab/analysis-endpoints/index.md
---

> Documentation index: https://docs.contentsquare.com/llms.txt
> Use this file to discover all available pages before exploring further.

Use these endpoints to run and retrieve Speed Analysis Lab reports.

## Get an analysis report

POST /v1/speed-analysis/analysis/report

Returns the analysis report.

### Parameters

* #### reportId   string   Required

  Unique identifier of a report.

* #### metricsOnly   boolean  

  Set to true to only generate a summary report, excluding advice, categories, and detected technologies (default: `false`).

* #### getUniqueIDsForTips   boolean  

  Set to true to get an ID for each element of `report.tips` (default: `false`).

### Request example

```shell
curl --location --request GET 'https://api.contentsquare.com/v1/speed-analysis/analysis/report' \
--header 'Authorization: Bearer <your_access_token>'
--data '{
    "reportId": "",
    "metricsOnly": true,
    "getUniqueIDsForTips": false
}'
```

### Response example

```json
{
  "payload": {
    "missing": [""],
    "report": {
      "publicReportUrl": "https://www.dareboost.com/[lang]/report/[reportId]",
      "harFileUrl": "https://www.dareboost.com/download/harFile/[reportId]",
      "date": 0,
      "url": "",
      "lang": "",
      "config": {
        "location": "",
        "browser": {
          "name": "",
          "version": ""
        },
        "isMobile": false,
        "bandwidth": {
          "upstream": 0,
          "downstream": 0
        },
        "latency": 0,
        "isPrivate": false,
        "adblock": false,
        "screen": {
          "height": 0,
          "width": 0
        },
        "basicAuth": {
          "user": "",
          "password": ""
        },
        "postData": [
          {
            "key": "",
            "value": ""
          }
        ],
        "header": [
          {
            "key": "",
            "value": ""
          }
        ],
        "blacklist": [],
        "whiteList": [],
        "dnsMapping": [
          {
            "origin": "",
            "destination": ""
          }
        ],
        "cookies": [],
        "repeatedView": false,
        "hhtp2Disabled": false,
        "animationsStopped": {}
      },
      "summary": {
        "loadTime": 0,
        "score": 0,
        "requestsCount": 0,
        "weight": 0
      },
      "categories": [
        {
          "name": "",
          "mark": 0
        }
      ],
      "tips": [
        {
          "advice": "",
          "category": "",
          "score": -1,
          "name": "",
          "priority": 0
        }
      ],
      "timings": {
        "navigationStart": 0,
        "firstByte": 0,
        "firstPaint": 0,
        "domInteractive": 0,
        "loadEvent": 0,
        "startRender": 0,
        "speedIndex": 0,
        "visuallyComplete": 0,
        "oldVisuallyComplete": 0,
        "loadEventStart": 0,
        "lastByte": 0,
        "domLoading": 0,
        "domContentLoadedEventStart": 0,
        "domContentLoadedEventEnd": 0,
        "domComplete": 0,
        "firstContentfulPaint": 0,
        "firstConsistentlyInteractive": 0,
        "largestContentfulPaint": 0,
        "totalBlockingTime": 0,
        "maxPotentialFirstInputDelay": 0,
        "totalLongTasks": 0,
        "lastLongTask": 0,
        "nbLongTasks": 0,
        "cumulativeLayoutShift": 0
      },
      "resourceByType": [
        {
          "type": "",
          "bodyWeight": 0,
          "headerWeight": 0,
          "requestCount": 0
        }
      ],
      "customTimings": [
        {
          "type": "",
          "name": "",
          "startTime": 0,
          "duration": 0
        }
      ],
      "technos": [
        {
          "name": "",
          "version": ""
        }
      ]
    }
  },
  "success": true
}
```

## Get HAR from an analysis

POST /v1/speed-analysis/analysis/har

Returns the HAR from the analysis.

### Parameters

* #### reportId   string   Required

  Unique identifier of a report.

### Request example

```shell
curl --location --request GET 'https://api.contentsquare.com/v1/speed-analysis/analysis/report' \
--header 'Authorization: Bearer <your_access_token>'
--data '{
    "reportId": ""
}'
```

### Response example

```json
{
  "payload": {
    "har": ""
  },
  "success": true
}
```
